### Signal

# WebKit2 PrintCustomWidget::update

#### Declaration

    void
    update (
      WebKitPrintCustomWidget* self,
      GtkPageSetup* page_setup,
      GtkPrintSettings* print_settings,
      gpointer user_data
    )

#### Description [src]

Emitted after change of selected printer in the dialog. The actual page setup and print settings are available and the custom widget can actualize itself according to their values.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 2.16

#### Parameters

`page_setup` | `GtkPageSetup`
| Actual page setup.
| The data is owned by the caller of the function.
`print_settings` | `GtkPrintSettings`
| Actual print settings.
| The data is owned by the caller of the function.